import java.io.*;
import java.util.*;

/**
 * Iterate over all members that ever read a message and
 * track the index of the message that each of those members
 * last sent. 
 * Complexity O(m^2).
 *
 * @author Finn Lidbetter
 */

public class unread_finn {
  public static void main(String[] args) throws IOException {
    BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

    String[] s = br.readLine().split(" ");
    int n = Integer.parseInt(s[0]);
    int m = Integer.parseInt(s[1]);
    int[] arr = new int[m];
    HashSet<Integer> usedMembers = new HashSet<>();
    for (int i=0; i<m; i++) {
      arr[i] = Integer.parseInt(br.readLine());
      usedMembers.add(arr[i]);
    }
    long otherMembers = n - usedMembers.size();
    HashMap<Integer, Integer> lastIndex = new HashMap<>();
    for (int member: usedMembers) {
      lastIndex.put(member, -1);
    }
    for (long i=0; i<m; i++) {
      long sum = 0;
      sum += otherMembers * (i+1);
      lastIndex.put(arr[(int)i], (int)i);
      for (int member: usedMembers) {
        sum += i - lastIndex.get(member);
      }
      System.out.println(sum);
    }
  }
}
